openSUSE Security Update : 389-ds (openSUSE-2019-1397)

High Nessus Plugin ID 125210

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for 389-ds fixes the following issues :

The following security vulnerabilities were addressed :

- CVE-2018-10850: Fixed a race condition on reference counter that would lead to a denial of service using persistent search (bsc#1096368)

- CVE-2017-15134: Fixed a remote denial of service via search filters in slapi_filter_sprintf in slapd/util.c (bsc#1076530)

- CVE-2017-15135: Fixed authentication bypass due to lack of size check in slapi_ct_memcmp function in ch_malloc.c (bsc#1076530)

- CVE-2018-10935: Fixed an issue that allowed users to cause a crash via ldapsearch with server side sorts (bsc#1105606)

- CVE-2018-14624: The lock controlling the error log was not correctly used when re-opening the log file in log__error_emergency(), allowing an attacker to send a flood of modifications to a very large DN, which could have caused slapd to crash (bsc#1106699).

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected 389-ds packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1076530

https://bugzilla.opensuse.org/show_bug.cgi?id=1096368

https://bugzilla.opensuse.org/show_bug.cgi?id=1105606

https://bugzilla.opensuse.org/show_bug.cgi?id=1106699

Plugin Details

Severity: High

ID: 125210

File Name: openSUSE-2019-1397.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2019/05/16

Updated: 2019/05/16

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:C

CVSS v3.0

Base Score: 8.1

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:389-ds, p-cpe:/a:novell:opensuse:389-ds-debuginfo, p-cpe:/a:novell:opensuse:389-ds-debugsource, p-cpe:/a:novell:opensuse:389-ds-devel, p-cpe:/a:novell:opensuse:389-ds-snmp, p-cpe:/a:novell:opensuse:389-ds-snmp-debuginfo, cpe:/o:novell:opensuse:15.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2019/05/15

Vulnerability Publication Date: 2018/01/24

Reference Information

CVE: CVE-2017-15134, CVE-2017-15135, CVE-2018-10850, CVE-2018-10935, CVE-2018-14624